#
# Psi qmake profile
#

# Configuration
CONFIG    += qt thread

#CONFIG += debug

# Executable name
TARGET    = psi

#DEFINES += GPG_DEBUG

MOC_DIR        = .moc
OBJECTS_DIR    = .obj
UI_DIR         = .ui

# qconf
unix:!mac {
	include(conf/qconf.pri)
}

# include some of cutestuff
CONFIG += psics
PSICS_CPP = ../cutestuff
exists(cutestuff) {
  PSICS_CPP = cutestuff
}
include(psics.pri)

# include XMPP library
CONFIG += xmpp
XMPP_BASE = ../xmpp
exists(xmpp) {
  XMPP_BASE = xmpp
}
include($$XMPP_BASE/xmpp.pri)

# Psi sources
PSI_CPP = src

# Header files
HEADERS += \
	$$PSI_CPP/varlist.h \
	$$PSI_CPP/profiles.h \
	$$PSI_CPP/profiledlg.h \
	$$PSI_CPP/main.h \
	$$PSI_CPP/psiaccount.h \
	$$PSI_CPP/psicon.h \
	$$PSI_CPP/psievent.h \
	$$PSI_CPP/xmlconsole.h \
	$$PSI_CPP/contactview.h \
	$$PSI_CPP/iconset.h \
	$$PSI_CPP/userlist.h \
	$$PSI_CPP/mainwin.h \
	$$PSI_CPP/mainwin_p.h \
	$$PSI_CPP/rtparse.h \
	$$PSI_CPP/common.h \
	$$PSI_CPP/busywidget.h \
	$$PSI_CPP/proxy.h \
	$$PSI_CPP/accountdlg.h \
	$$PSI_CPP/changepwdlg.h \
	$$PSI_CPP/msgmle.h \
	$$PSI_CPP/statusdlg.h \
	$$PSI_CPP/optionsdlg.h \
	$$PSI_CPP/eventdlg.h \
	$$PSI_CPP/chatdlg.h \
	$$PSI_CPP/adduserdlg.h \
	$$PSI_CPP/groupchatdlg.h \
	$$PSI_CPP/infodlg.h \
	$$PSI_CPP/eventdb.h \
	$$PSI_CPP/historydlg.h \
	$$PSI_CPP/servicesdlg.h \
	$$PSI_CPP/jltest.h \
	$$PSI_CPP/browserdlg.h \
	$$PSI_CPP/psitoolbar.h \
	$$PSI_CPP/passphrasedlg.h \
	$$PSI_CPP/vcardfactory.h \
	$$PSI_CPP/sslcertdlg.h \
	$$PSI_CPP/psitextview.h \
	$$PSI_CPP/qwextend.h \
	$$PSI_CPP/tasklist.h

# Source files
SOURCES += \
	$$PSI_CPP/varlist.cpp \
	$$PSI_CPP/profiles.cpp \
	$$PSI_CPP/profiledlg.cpp \
	$$PSI_CPP/main.cpp \
	$$PSI_CPP/psiaccount.cpp \
	$$PSI_CPP/psicon.cpp \
	$$PSI_CPP/psievent.cpp \
	$$PSI_CPP/xmlconsole.cpp \
	$$PSI_CPP/contactview.cpp \
	$$PSI_CPP/iconset.cpp \
	$$PSI_CPP/userlist.cpp \
	$$PSI_CPP/mainwin.cpp \
	$$PSI_CPP/mainwin_p.cpp \
	$$PSI_CPP/rtparse.cpp \
	$$PSI_CPP/common.cpp \
	$$PSI_CPP/busywidget.cpp \
	$$PSI_CPP/proxy.cpp \
	$$PSI_CPP/accountdlg.cpp \
	$$PSI_CPP/changepwdlg.cpp \
	$$PSI_CPP/msgmle.cpp \
	$$PSI_CPP/statusdlg.cpp \
	$$PSI_CPP/optionsdlg.cpp \
	$$PSI_CPP/eventdlg.cpp \
	$$PSI_CPP/chatdlg.cpp \
	$$PSI_CPP/adduserdlg.cpp \
	$$PSI_CPP/groupchatdlg.cpp \
	$$PSI_CPP/infodlg.cpp \
	$$PSI_CPP/eventdb.cpp \
	$$PSI_CPP/historydlg.cpp \
	$$PSI_CPP/servicesdlg.cpp \
	$$PSI_CPP/jltest.cpp \
	$$PSI_CPP/browserdlg.cpp \
	$$PSI_CPP/psitoolbar.cpp \
	$$PSI_CPP/passphrasedlg.cpp \
	$$PSI_CPP/vcardfactory.cpp \
	$$PSI_CPP/sslcertdlg.cpp \
	$$PSI_CPP/psitextview.cpp \
	$$PSI_CPP/qwextend.cpp

# Qt Designer interfaces
INTERFACES = \
	$$PSI_CPP/ui_profileopen.ui \
	$$PSI_CPP/ui_profilemanage.ui \
	$$PSI_CPP/ui_profilenew.ui \
	$$PSI_CPP/ui_proxy.ui \
	$$PSI_CPP/ui_pgpkey.ui \
	$$PSI_CPP/ui_accountmanage.ui \
	$$PSI_CPP/ui_accountadd.ui \
	$$PSI_CPP/ui_accountreg.ui \
	$$PSI_CPP/ui_accountremove.ui \
	$$PSI_CPP/ui_accountmodify.ui \
	$$PSI_CPP/ui_changepw.ui \
	$$PSI_CPP/ui_options.ui \
	$$PSI_CPP/ui_addurl.ui \
	$$PSI_CPP/ui_adduser.ui \
	$$PSI_CPP/ui_gcjoin.ui \
	$$PSI_CPP/ui_info.ui \
	$$PSI_CPP/ui_services.ui \
	$$PSI_CPP/ui_search.ui \
	$$PSI_CPP/ui_about.ui \
	$$PSI_CPP/ui_browser.ui \
	$$PSI_CPP/ui_passphrase.ui \
	$$PSI_CPP/ui_sslcert.ui

# Translations
TRANSLATIONS = \
	lang/psi_jp.ts \
	lang/psi_de.ts \
	lang/psi_zh.ts \
	lang/psi_pl.ts \
	lang/psi_se.ts \
	lang/psi_cs.ts \
	lang/psi_fr.ts \
	lang/psi_es.ts \
	lang/psi_ru.ts \
	lang/psi_da.ts \
	lang/psi_pt.ts \
	lang/psi_nl.ts \
	lang/psi_ar.ts \
	lang/psi_ptbr.ts \
	lang/psi_it.ts \
	lang/psi_sr.ts \
	lang/psi_mk.ts \
	lang/psi_fi.ts

# Platform specifics
unix:!mac {
	include(configure.pri)
}
win32: {
	RC_FILE = win32/psi_win32.rc
}
mac: {
	QMAKE_LFLAGS += -framework Carbon
	QMAKE_INFO_PLIST = mac/Info.plist
	RC_FILE = mac/application.icns
	QMAKE_POST_LINK = cp -R COPYING README certs iconsets image sound $(DESTDIR)../Resources ; echo "APPLpsi " > $(DESTDIR)../PkgInfo
}

